Subject: Re: bug#76299: "Try M-x recover-this-file" warning vs. symlinks

From: Dan Jacobson <[email-masked]>
Date: Sun, 23 Feb 2025 06:00:47 +0800

Here I have isolated the exact point where the modeline writes over the
warning. I let it write halfway, where upon I have truncated the file.
If you do
$ cat chopped; read #avoiding shell prompt interference
you will see
-UUU:---  F1  e data; consider M-x recover-this-file
Note I was using
$ stty --all|grep rows
speed 38400 baud; rows 25; columns 111; line = 0;
$ env|grep TERM
TERM=xterm-256color
P.S., triggering the warning is easy:
$ touch \#a#
$ emacs -nw -Q a

You might say "why does the modeline overwrite it? The warning is one
line below the modeline!"

And indeed it is. But disappears very fast when running emacs -nw -Q a.